Subject: Re: [FIAT-dev] [FFC-dev] [DOLFIN-dev] Interesting issue with interpolate(?)

From: Anders Logg <[email-masked]>
Date: Fri, 28 Aug 2009 23:11:48 +0200

On Fri, Aug 21, 2009 at 09:17:03PM +0200, Marie Rognes wrote:
> Kristian Oelgaard wrote:
> > Quoting Marie Rognes <[email-masked]>:
> >
> >
> >> (Tested both using tensor and quadrature representation.
> >> Tensor and quad differ somewhat for the norm(u).
> >> Is the quadrature default to integrate RTs using
> >> "too low" a quadrature rule still?)
> >>
> >
> > Could be, quadrature uses the UFL guesstimate which just looks at the element
> > degree. And I think it is 'tricked' by the RT element when doing this (as I
> > recall it). You can set the quadrature order through metadata of the Measure to
> > increase the order manually, then tensor and quadrature should at least agree.
> > Do note that tensor representation ignores the metadata input (which is a bug).
> >
>
> Maybe life would be simpler if we just changed the numbering of the RT
> and the Nedelecs?
> So that a finite element space of degree k is always in P_k?

Yes, I think so. This is also a FIXME in one of the chapters in the
FEniCS book. What does Rob think?

--
Anders